Subject: [core] Comments on proposed changes to draft-ietf-core-http-mapping

From: "Rahman, Akbar" <[email-masked]>
Date: Mon, 11 Apr 2016 20:27:14 +0000

Hi All,

At IETF-95 (Buenos Aires) we discussed modifying draft-ietf-core-http-mapping to:

       Clarify that the scope of draft is primarily Reverse HC Proxy but that it also covers generic protocol translation aspects that apply as well to Forward and Interception HC Proxy
               ■ e.g. Response status mapping & content format mapping apply to all types of proxies

Specifically see pg. 70-71 of the F2F presentation slides that presents the details of the proposed changes:

https://www.ietf.org/proceedings/95/slides/slides-95-core-0.pdf

We had good support during the F2F meeting to make these changes.  Does anyone have any issues with this approach?  If you do please write back to the list.  If we have not received any comments by April 22 we will assume that this decision is supported by the WG and will proceed to make the changes so that we can start the new WGLC.

Thanks,

Akbar

-----Original Message-----
From: core [mailto:[email-masked]] On Behalf Of Carsten Bormann
Sent: Saturday, April 09, 2016 10:00 AM
To: [email-masked] WG <[email-masked]>
Subject: [core] Summary of second meeting at IETF95

... and here is my summary of the Friday results.

Again, please send in fixes and additions; the raw details are still at the same site: http://etherpad.tools.ietf.org:9000/p/notes-ietf-95-core
Big thanks to the note takers!

On Friday:

* Handoff of the Baton: Barry Leiba gave his farewall as CoRE's
 responsible AD; great applause of the WG.
* For the resource directory (RD) and related documents, we are aiming
 at WGLC before July 1st so we can discuss the outcome in Berlin and
 ship soon after.  There are quite a few things to do, many of which
 are on the editorial level (see slides, but also Akbar's "advanced
 RD" document; we will not try to put mirror server/pubsub support in
 the RD document now, though). The issues will managed on the WG
 tracker.
* There was in-room consensus to adopt draft-vanderstok-core-etch-00
 as a WG document.  This is needed to keep PATCH in the RD, but also
 for the management work (below).  To be verified on the mailing
 list.
* core-links-json also is in the same cluster (WGLC before July 1st).
 Hannes would like to see the RFC7390 parts separated out from the
 RFC6690 part that we are about for RD.  The TODOs in the document
 need to be ticked off/trackerized.
* There will be a 2nd WGLC for core-http-mapping after the comments
 are incorporated (-10).
* core-interfaces may have been adopted too early and requires a major
 overhaul, separating out the more speculative material (some of
 which is T2TRG material).  It should be made very clear that this
 describes one way of using CoAP (which has indeed been picked up in
 various ways by other SDOs), not the prescribed way.  Matthias will
 help Michael to do the separation.
* The work on management of constrained devices has converged ("COMI
 with COOL").  The yang-cbor draft is ready for an adoption call, but
 not enough people had read it yet to do an in-room adoption check.
 The other drafts will undergo merger/restructuring work based on
 this week's discussions and should then become ready for adoption.
 This work is explicitly covered by our charter (which also calls out
 LWM2M management as a related approach that we will continue to
 support as needed), and we will implicate NETMOD/NETCONF into every
 step we are taking.  The author team invites the WG to its bi-weekly
 phone meetings (to be announced on core mailing list).
* The work on Object Security for COAP (OSCOAP) is progressing nicely.
 A complete draft can be expected for Berlin.

Grüße, Carsten

Carsten Bormann wrote:
> Here is my summary of what we did on Tuesday.
> Fixes/additions welcome; details are in the draft minutes at
> http://etherpad.tools.ietf.org:9000/p/notes-ietf-95-core
>
> On Tuesday:
>
> * Andrew indicated that he plans to step down as a WG chair and that
>   the ADs are looking for a replacement.
> * As periodically, the AD is changing; this time from a graybeard
>   (Barry) to a blackbeard (Alexey).
> * The chairs apologize for the infrequently updated milestones; fixing
>   them is up next.
> * draft-ietf-core-block–19 is in IESG Evaluation, telechat date is
>   2016–04–21.
> * heads-up for new individual drafts: draft-kivinen-802-15-ie and
>   draft-bormann-6lo-coap-802-15-ie.
> * CoAP over TCP received extensive discussion.  Results (all to be
>   confirmed on the mailing list):
>   * #396: We revert the decision in Yokohama and go with alternative
>     L3.  Procedurally, the pain of this reversal is balanced by the
>     reduced pain of not having to convince OCF to change their
>     specification.  Technically, L3 is more open to evolving ideas about
>     message sizes.  In any case, there is no intent to modify or
>     revoke section 4.6 of RFC 7252 at this time.
>   * We will need to examine the various proposals to add signaling to
>     the TCP connection (settings, ping/pong, release/abort).
>     Signaling messages (7.xx) is one possible mechanism for doing that.
>   * #387 (ALPN): We really need to make a decision here.
>   * Websockets: For merging the websockets draft into the TCP/TLS WG
>     document (with the websockets specific parts going to an
>     appendix), the authors of both drafts will discuss the merge.
> * Multi-hop Security: Initial discussion of
>   draft-hartke-core-e2e-security-reqs.
>   * It is more well-defined what is being protected in a
>     request-response that spans a proxy than with a pub-sub broker.
>   * The current set of scenarios does not include the case that
>     security services are being performed by the intermediary.
>     Many such scenarios are conceivable; which ones have serious use
>     cases?
>   * Multicast (or, more generally, group communication) is not yet
>     being considered.
> * Data Formats: WG to adopt SenML (to be confirmed on the mailing
>   list).  After a bit of Brownian motion, the WG is now happy with the
>   way the data is formatted in -06 (base record with data, zero or
>   more records with more data).  The addition of links in the data is
>   to be done by registering a senml label in core-links-json
>   ("reversing the arrow of dependency").
>
> Friday meeting upcoming.
>
> Grüße, Carsten
>
> _______________________________________________
> core mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/core
>
>

_______________________________________________
core mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/core

---

From: Hannes Tschofenig <[email-masked]>
Date: Wed, 20 Apr 2016 17:39:38 +0200

Hi Akbar,

changing the scope of the document to include forward and reverse proxy
functionality, as discussed in BA, is fine for me.

Ciao
Hannes

---

From: "Rahman, Akbar" <[email-masked]>
Date: Tue, 26 Apr 2016 13:22:22 +0000

Hi Hannes/Carsten,

Thanks.  Since the two week review period has passed and we didn't get any objections, we will update the draft shortly as per recently created ticket #401.

Best Regards,

Akbar

-----Original Message-----
From: Hannes Tschofenig [mailto:[email-masked]]
Sent: Wednesday, April 20, 2016 11:40 AM
To: Rahman, Akbar <[email-masked]>; Carsten Bormann <[email-masked]>; [email-masked] WG <[email-masked]>
Subject: Re: [core] Comments on proposed changes to draft-ietf-core-http-mapping

Hi Akbar,

changing the scope of the document to include forward and reverse proxy functionality, as discussed in BA, is fine for me.

Ciao
Hannes

On 04/11/2016 10:27 PM, Rahman, Akbar wrote:
> Again, please send in fixes and additions; the raw details are still
> at the same site:
> for the management work (below).  To be verified on the mailing  list.
> overhaul, separating out the more speculative material (some of  which
> is T2TRG material).  It should be made very clear that this  describes
> one way of using CoAP (which has indeed been picked up in  various
> ways by other SDOs), not the prescribed way.  Matthias will  help
> Michael to do the separation.